# Interface ReadableByteStreamController

#### Hierarchy

- ReadableByteStreamController

#####
Index

### Properties

byobRequest
desiredSize

### Methods

close
enqueue
error

## Properties

### `Readonly` byobRequest

byobRequest: undefined

### `Readonly` desiredSize

desiredSize: null | number

## Methods

### close

- close(): void

- #### Returns void

### enqueue

- enqueue(chunk): void

- #### Parameters

  - ##### chunk: ArrayBufferView<ArrayBufferLike>

  #### Returns void

### error

- error(error?): void

- #### Parameters

  - ##### `Optional` error: any

  #### Returns void

Generated using TypeDoc